Page MenuHomePhabricator

efl.layout.signal
Closed, ResolvedPublic

Description

|interface Efl.Layout.Signal
|├ (M) message_send
|├ (M) signal_callback_add
|├ (M) signal_callback_del
|├ (M) signal_emit
|├ (M) signal_process
zmike created this task.Jan 8 2019, 11:43 AM
zmike triaged this task as TODO priority.
zmike moved this task from Backlog to Evaluating on the efl: api board.Jan 28 2019, 8:38 AM

I think this interface looks good, but I'm not sure whether we need to support edje features in efl_ui_image.eo.

zmike added a comment.Jan 29 2019, 8:39 AM

The alternative would be to add explicit methods for signal handling, the names of which would likely conflict with layout signal method naming and guarantee naming conflicts for any case where both classes/interfaces are brought into the same hierarchy.

I think we might have a problem with this API. The callback is defined as an opaque type that will require binding to implement manually. I think we might want to changed things here and have a legacy call that is not residing in .eo with the old legacy callback API function prototype and a new API using Eo callback so that binding can generate this one automatically. I think it is doable and shouldn't be a big amount of work. If you want to assign that work to me, I might be able to do it tomorrow.

zmike added a comment.Jan 30 2019, 5:52 AM

I think we might have a problem with this API. The callback is defined as an opaque type that will require binding to implement manually. I think we might want to changed things here and have a legacy call that is not residing in .eo with the old legacy callback API function prototype and a new API using Eo callback so that binding can generate this one automatically. I think it is doable and shouldn't be a big amount of work. If you want to assign that work to me, I might be able to do it tomorrow.

Sure, sounds good. Would be great if you could take care of this too.

I've created a task for this, we'll plan to mark this as stable once T7671 is complete.

zmike moved this task from Evaluating to needs patch on the efl: api board.Feb 11 2019, 10:27 AM
zmike moved this task from needs patch to Stabilized on the efl: api board.Feb 15 2019, 6:43 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mar 11 2019, 10:47 AM
zmike claimed this task.